Enabling the Java Runtime Environment for Mozilla Firefox

To allow either the Mozilla or the Firefox Web browser to use the JRE, you need to create a link from the Mozilla plug-in directory to the Java plug-in libraries. Be sure you have first installed the JRE. Within the /usr/lib/mozilla/plugins directory, you will have to create a link to the libjavaplugin_oji.so library in the JRE's /plugin/i386/ns7 subdirectory, where "ns7" indicates Netscape 7.

# cd /usr/lib/mozilla/plugins

# ln -s /opt/jre1.5.0_06/plugin/i386/ns7/libjavaplugin_oji.so libjavaplugin_oji.so

NOTE On Firefox and Mozilla, be sure Java support is enabled.

0 0

Post a comment